#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'agency.title'}
#{/set}

<div class="breadcrumb">&{'agency.header'}</div>
<div class="content">  
#{alert /}  
    <table class="table table-sm" id="tblAgency">
        <thead>
        <tr>
            <th width="30px"> &{'agency.id'}</th>
            <th width="250px"> &{'agency.nama'}</th>
            <th width="250px"> &{'agency.alamat'}</th>
            <th width="100px"> &{'agency.telepon'}</th>
            <th width="100px"> &{'agency.dibuatoleh'}</th>
            <th width="50px"> &{'agency.lpse'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{if active_user?.isAdminPPE()}
        #{addButton action:@admin.AgencyCtr.edit() /}
    #{/if}
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var agencyView = #{jsRoute @admin.AgencyCtr.detil(':id') /};
    var table = $("#tblAgency").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.agency()}",
         columnDefs: [{
                targets: 1,
                render: function(data, type, row, meta){
                        var status = row[5];
                        if (status == 0) row[5] = "<div class='text-center'> </div>";
                        else row[5] = "<div class='text-center'><i class='fa fa-check'></i></div>"
                        return "<a href='"+agencyView.url({id:row[0]})+"'>"+row[1]+"</a>";
                }
            }]
    });
    $('#tblAgency_filter input').unbind();
    $('#tblAgency_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
